ONVIF::PTZ::Types::FocusConfiguration20(3)

NAME
ONVIF::PTZ::Types::FocusConfiguration20

DESCRIPTION
Perl data type class for the XML Schema defined complexType FocusConfiguration20 from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AutoFocusMode

•   DefaultSpeed

•   NearLimit

•   FarLimit

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::FocusConfiguration20
   AutoFocusMode => $some_value, # AutoFocusMode
   DefaultSpeed =>  $some_value, # float
   NearLimit =>  $some_value, # float
   FarLimit =>  $some_value, # float
   Extension =>  { # ONVIF::PTZ::Types::FocusConfiguration20Extension
   },
 },

AUTHOR
Generated by SOAP::WSDL